From: Chow Loong Jin <hyperair@debian.org>
Date: Mon, 19 Aug 2013 22:55:09 +0800
Subject: Use icon name in desktop file

---
 setup.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/setup.py b/setup.py
index 6062e20..cdbe62b 100644
--- a/setup.py
+++ b/setup.py
@@ -88,7 +88,7 @@ def update_desktop_file(filename, target_pkgdata, target_scripts):
 
         for line in fin:
             if 'Icon=' in line:
-                line = "Icon=%s\n" % (target_pkgdata + 'media/qreator.svg')
+                line = "Icon=qreator\n"
             elif 'Exec=' in line:
                 cmd = line.split("=")[1].split(None, 1)
                 line = "Exec=%s" % (target_scripts + 'qreator')
